# Class ElementQuerySpecification

java.lang.Object
org.eclipse.jdt.ui.search.QuerySpecification
org.eclipse.jdt.ui.search.ElementQuerySpecification

public class ElementQuerySpecification extends QuerySpecification

Describes a search query by giving the `IJavaElement` to search for.

This class is not intended to be instantiated or subclassed by clients.

Since:
  3.0
See Also:
  - `QuerySpecification`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ElementQuerySpecification(IJavaElement javaElement, int limitTo, IJavaSearchScope scope, String scopeDescription)`
A constructor.

## Method Summary

Modifier and Type
Method
Description
`IJavaElement`
`getElement()`
Returns the element to search for.

### Methods inherited from class QuerySpecification

`getLimitTo, getScope, getScopeDescription`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementQuerySpecification

public ElementQuerySpecification(IJavaElement javaElement, int limitTo, IJavaSearchScope scope, String scopeDescription)
A constructor.

Parameters:
  `javaElement` - The java element the query should search for.
  `limitTo` - The kind of occurrence the query should search for.
  `scope` - The scope to search in.
  `scopeDescription` - A human readable description of the search scope.

## Method Details

### getElement

public IJavaElement getElement()
Returns the element to search for.

Returns:
  The element to search for.